QGIS Application - Bug report #4157
Empty map composer on reopen project
2011-08-10 06:25 PM - Kudret Gileryiiz

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: GUI

Affected QGIS version: Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 14134
Description

Reopening this bug report ticket since | am still experiencing it on 1.7.0

Original report follows:----

This was found on QGIS 1.4, from the ubuntugis-unstable repo and Ubuntu 9.10 Karmic (I couldn't set Ubuntu as platform in the ticket
properties):

Steps to reproduce:

1. Create a new Qgis project and add some layers to it.

2. Create a print composer an add some items to it.

3. Save the project and close.

4. Open the project again. An empty composed window opens on top.

This window can't be closed but can be minimized or sent to bottom. QGis is still usable and on opening the saved composer it replaces
the empty window.

Additional information:
If multiple composers were defined they all open as blank canvases.

Kudret

History

#1 - 2011-10-06 08:21 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

This was somehow already fixed.

I've tested it on qgis-trunk and it behaves as expected. If closing a saved project that has a composer open, then when opening the project the composer

window will pop-up and the map objects are just preview->rectangle state.

#2 -2011-10-08 12:09 AM - Goyo D

2025-12-22 12




Giovanni, | was the one opening this ticket for the first time in the old tracker. | don't know what exactly was causing it but it seems to be very infrequent and

specific to user configuration so it is difficult to replicate.

This was not really fixed but vanished when | updated no natty (but it was a natty thing not a qgis one) and then closed since | could not replicate it

anymore.
